Get Activity Stats
curl --request POST \
--url https://api.uservox.ai/api/v1/analytics/customer/stats \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start": 123,
"end": 123,
"processId": "<string>",
"groupId": "<string>",
"timezoneOffsetMinutes": 123,
"includeUniqueLeads": true
}
'import requests
url = "https://api.uservox.ai/api/v1/analytics/customer/stats"
payload = {
"start": 123,
"end": 123,
"processId": "<string>",
"groupId": "<string>",
"timezoneOffsetMinutes": 123,
"includeUniqueLeads": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start: 123,
end: 123,
processId: '<string>',
groupId: '<string>',
timezoneOffsetMinutes: 123,
includeUniqueLeads: true
})
};
fetch('https://api.uservox.ai/api/v1/analytics/customer/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.uservox.ai/api/v1/analytics/customer/stats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'start' => 123,
'end' => 123,
'processId' => '<string>',
'groupId' => '<string>',
'timezoneOffsetMinutes' => 123,
'includeUniqueLeads' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.uservox.ai/api/v1/analytics/customer/stats"
payload := strings.NewReader("{\n \"start\": 123,\n \"end\": 123,\n \"processId\": \"<string>\",\n \"groupId\": \"<string>\",\n \"timezoneOffsetMinutes\": 123,\n \"includeUniqueLeads\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.uservox.ai/api/v1/analytics/customer/stats")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"start\": 123,\n \"end\": 123,\n \"processId\": \"<string>\",\n \"groupId\": \"<string>\",\n \"timezoneOffsetMinutes\": 123,\n \"includeUniqueLeads\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.uservox.ai/api/v1/analytics/customer/stats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"start\": 123,\n \"end\": 123,\n \"processId\": \"<string>\",\n \"groupId\": \"<string>\",\n \"timezoneOffsetMinutes\": 123,\n \"includeUniqueLeads\": true\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"attempts": {
"total": 123,
"data": [
{}
]
},
"connected": {
"total": 123,
"data": [
{}
]
},
"incoming": {
"total": 123,
"data": [
{}
]
},
"meaningfullyHandled": {
"total": 123,
"data": [
{}
]
},
"interested": {
"total": 123,
"data": [
{}
]
},
"unique": {
"attempts": {},
"connected": {},
"interested": {}
}
}
}Analytics
Get Activity Stats
Retrieve Uservox call activity analytics for a time range through the API, with optional timezone offset for unique-lead day buckets.
POST
/
api
/
v1
/
analytics
/
customer
/
stats
Get Activity Stats
curl --request POST \
--url https://api.uservox.ai/api/v1/analytics/customer/stats \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start": 123,
"end": 123,
"processId": "<string>",
"groupId": "<string>",
"timezoneOffsetMinutes": 123,
"includeUniqueLeads": true
}
'import requests
url = "https://api.uservox.ai/api/v1/analytics/customer/stats"
payload = {
"start": 123,
"end": 123,
"processId": "<string>",
"groupId": "<string>",
"timezoneOffsetMinutes": 123,
"includeUniqueLeads": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start: 123,
end: 123,
processId: '<string>',
groupId: '<string>',
timezoneOffsetMinutes: 123,
includeUniqueLeads: true
})
};
fetch('https://api.uservox.ai/api/v1/analytics/customer/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.uservox.ai/api/v1/analytics/customer/stats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'start' => 123,
'end' => 123,
'processId' => '<string>',
'groupId' => '<string>',
'timezoneOffsetMinutes' => 123,
'includeUniqueLeads' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.uservox.ai/api/v1/analytics/customer/stats"
payload := strings.NewReader("{\n \"start\": 123,\n \"end\": 123,\n \"processId\": \"<string>\",\n \"groupId\": \"<string>\",\n \"timezoneOffsetMinutes\": 123,\n \"includeUniqueLeads\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.uservox.ai/api/v1/analytics/customer/stats")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"start\": 123,\n \"end\": 123,\n \"processId\": \"<string>\",\n \"groupId\": \"<string>\",\n \"timezoneOffsetMinutes\": 123,\n \"includeUniqueLeads\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.uservox.ai/api/v1/analytics/customer/stats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"start\": 123,\n \"end\": 123,\n \"processId\": \"<string>\",\n \"groupId\": \"<string>\",\n \"timezoneOffsetMinutes\": 123,\n \"includeUniqueLeads\": true\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"attempts": {
"total": 123,
"data": [
{}
]
},
"connected": {
"total": 123,
"data": [
{}
]
},
"incoming": {
"total": 123,
"data": [
{}
]
},
"meaningfullyHandled": {
"total": 123,
"data": [
{}
]
},
"interested": {
"total": 123,
"data": [
{}
]
},
"unique": {
"attempts": {},
"connected": {},
"interested": {}
}
}
}